> This page is for Firmware, version 3.2.
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Set a single configuration parameter

PUT http://os-992244000006.local/api/v1/sensor/config/{param}
Content-Type: application/json

Any configuration parameter can be set by using this command.

**Note:** After `PUT /api/v1/sensor/config/{param}` request is received successfully, the sensor will reinitialize automatically to make the new configuration active, and the config settings are persisted across power cycles.

Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/sensor-metadata/put-config-single

## Request

### Path parameters

- `param` (enum, required)
  - Allowed values: `accel_fsr`, `azimuth_window`, `columns_per_packet`, `gyro_fsr`, `imu_packets_per_frame`, `lidar_frame_azimuth_offset`, `lidar_mode`, `min_range_threshold_cm`, `multipurpose_io_mode`, `nmea_baud_rate`, `nmea_ignore_valid_char`, `nmea_in_polarity`, `nmea_leap_seconds`, `operating_mode`, `phase_lock_enable`, `phase_lock_offset`, `return_order`, `signal_multiplier`, `sync_pulse_in_polarity`, `sync_pulse_out_angle`, `sync_pulse_out_frequency`, `sync_pulse_out_polarity`, `sync_pulse_out_pulse_width`, `timestamp_mode`, `udp_dest`, `udp_port_imu`, `udp_port_lidar`, `udp_multicast_ttl`, `udp_dest_zm`, `udp_port_zm`, `udp_multicast_ttl_zm`, `header_type`, `udp_profile_imu`, `udp_profile_lidar`, `manufacturing_calibration/reflectivity_version`

### Query parameters

- `target` (enum, optional, default: persisted) — Specifies which configuration target to set: * `staged`: Updates the configuration for incremental validation without committing the changes to hardware. The staged configuration will be committed when the `active` or `persisted` target is specified **Note:** Parameters will be range checked, but will not be validated for mutual compatibility until the configuration is made active * `active`: Commits the staged configuration to hardware * `persisted`: Equivalent to `active` but saves the configuration to non-volatile memory if it passes validation
  - Allowed values: `active`, `staged`, `persisted`

### Body (application/json)

This endpoint expects a string.

- `string`

## Response

### 204

Command succeeded

## Errors

### 400 Bad Request Error

Server cannot or will not process the request due to something that is perceived to be a client error.

- `any`

## Examples

**Request**

```json
"\"RUNNING\""
```

**SDK Code**

```python Sensor Metadata_putConfigSingle_example
import requests

url = "http://os-992244000006.local/api/v1/sensor/config/accel_fsr"

payload = "\"RUNNING\""
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Sensor Metadata_putConfigSingle_example
const url = 'http://os-992244000006.local/api/v1/sensor/config/accel_fsr';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '"\"RUNNING\""'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Sensor Metadata_putConfigSingle_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/sensor/config/accel_fsr"

	payload := strings.NewReader("\"\\\"RUNNING\\\"\"")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Sensor Metadata_putConfigSingle_example
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/sensor/config/accel_fsr")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "\"\\\"RUNNING\\\"\""

response = http.request(request)
puts response.read_body
```

```java Sensor Metadata_putConfigSingle_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("http://os-992244000006.local/api/v1/sensor/config/accel_fsr")
  .header("Content-Type", "application/json")
  .body("\"\\\"RUNNING\\\"\"")
  .asString();
```

```php Sensor Metadata_putConfigSingle_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'http://os-992244000006.local/api/v1/sensor/config/accel_fsr', [
  'body' => '"\\"RUNNING\\""',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Sensor Metadata_putConfigSingle_example
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/sensor/config/accel_fsr");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "\"\\\"RUNNING\\\"\"", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Sensor Metadata_putConfigSingle_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = "\"RUNNING\"" as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/sensor/config/accel_fsr")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```